#ifndef GTKMM_CUSTOMSAGENCY_H
#define GTKMM_CUSTOMSAGENCY_H

#include <gtkmm.h>

class CustomsAgency : public Gtk::Window
{
public:
	CustomsAgency();
	virtual ~CustomsAgency();

protected:
	// Signal handlers:
	virtual void menu_file_quit();
	virtual void menu_help_about();
	virtual void on_button_add();
	
	// Menu
	Glib::RefPtr<Gtk::UIManager> refUIManager;
	Glib::RefPtr<Gtk::ActionGroup> refActionGroup;

	// Child widgets:
	Gtk::Notebook Notebook;
	Gtk::Frame Frame_VehicleInfo, Frame_DateTime, Frame_BeerFine;
	Gtk::HBox HBox_MakeModel, HBox_Date, HBox_BeerFine;

	Gtk::VBox VBox_Main, VBox_Tab1_Main, VBox_Tab2_Main, 
			  VBox_DateTime, VBox_Day, VBox_Month, VBox_Year, 
			  VBox_VehicleInfo, VBox_Make, VBox_Model,
			  VBox_BeerCases, VBox_Fine;

	Gtk::Label Label_Day, Label_Month, Label_Year,
			   Label_Make, Label_Model, 
			   Label_BeerCases, Label_Fine, Label_FineValue;

	Gtk::Adjustment Adjustment_Day, Adjustment_Month, Adjustment_Year, Adjustment_BeerCases;
	Gtk::SpinButton SpinButton_Day, SpinButton_Month, SpinButton_Year, SpinButton_BeerCases;

	Gtk::Entry Entry_Make, Entry_Model;
	Gtk::RadioButton Radio_AM, Radio_PM;
	Gtk::Button Button_Add;
};

#endif //GTKMM_CUSTOMSAGENCY_H






































